Retrieve All Profiling Sessions
List all SDK request profiling sessions in the currently authenticated Vault.
GET
/api/{version}/code/profilerHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/code/profilerResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"id": "0LS000000003002",
"label": "Baseline",
"name": "baseline__c",
"description": null,
"status": "processing__sys",
"user_id": null,
"created_date": "2024-08-23T23:22:00.000Z",
"expiration_date": "2024-09-22T23:22:00.000Z"
},
{
"id": "0LS000000002001",
"label": "Hotfix Dry Run 02",
"name": "hotfix_dry_run_02__c",
"description": null,
"status": "complete__sys",
"user_id": 123456789,
"created_date": "2024-08-20T02:21:21.000Z",
"expiration_date": "2024-09-19T02:31:47.000Z"
},
{
"id": "0LS000000001001",
"label": "Hotfix Dry Run 01",
"name": "hotfix_dry_run_01__c",
"description": null,
"status": "complete__sys",
"user_id": null,
"created_date": "2024-08-20T01:42:02.000Z",
"expiration_date": "2024-09-19T02:11:25.000Z"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following data for each profiling session: